﻿@{
    ViewBag.Title = "Cartes";
}
<h2>@ViewBag.Title</h2>
<h3>@ViewBag.Message</h3>

<div id="pageCartes">
    <table class="table">
        <thead>
            <tr>
                <th scope="col">
                    <div data-toggle="modal" data-target="#popupAjoutCarte">
                        <img src="@Url.Content("~/Images/plus.png")" style="width:20px;height:20px;cursor:pointer" title="Ajouter une carte" />
                    </div>
                </th>
                <th scope="col">Numero</th>
                <th scope="col">Date d'expiration</th>
                <th scope="col">Type</th>
                <th></th>
            </tr>
        </thead>
        <tbody>
            <!-- ko template: { name: 'templateLigneCarte' , foreach:Cartes} -->
            <!-- /ko -->
        </tbody>
    </table>


    <!-- PopupAjoutCarte -->
    <div id="popupAjoutCarte" class="modal fade" role="dialog">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                    <h4 class="modal-title">Ajouter une carte</h4>
                </div>
                <div class="modal-body">
                    <div class="modal-ligne">
                        <label for="numero" style="width:100px"> Numéro </label>
                        <input type="text" id="numero" style="width:300px" data-bind="value: _carte().Numero" />
                    </div>
                    <div class="modal-ligne">
                        <label for="mois" style="width:100px"> Mois </label> 
                        <input type="number" max="12" min="1" id="mois" data-bind="value: _carte().Mois" />
                        <label for="annee"> Années </label> 
                        <input type="number" max="23" min="19" id="annee" data-bind="value: _carte().Annee" />
                    </div>
                    <div class="modal-ligne">
                        <label for="type" style="width:100px"> Type </label> 
                        <select id="type" style="width:300px" data-bind="options: TypesCartes, optionsValue: 'Identifiant', optionsText: 'Libelle', value: _carte().Type_Identifiant"></select>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default" data-bind="click: AjouterCarte">Valider</button>
                </div>
            </div>

        </div>
    </div>
</div>

<script type="text/html" id="templateLigneCarte">
    <tr>
        <td></td>
        <td>
            <span data-bind="text: Numero" style="font-weight:bold" />
        </td>
        <td>
            <span data-bind="text: Mois() + '/' + Annee()" />
        </td>
        <td>
            <span data-bind="text: _type().Libelle" />
        </td>
        <td>
            <img src="@Url.Content("~/Images/poubelle.png")" data-bind="click: $root.SupprimerCarte" style="width:20px;height:20px;cursor:pointer" title="Supprimer cette carte"/>
        </td>
    </tr>
</script>


@Scripts.Render("~/Scripts/Cartes.js")
